Вы находитесь на странице: 1из 6

Upgrading Sugar CRM-5.5.

1 to Sugar
CRM-6.4.4/6.5.0RC

Table of Contents
Document History ........................................................................................................................... 3
1

Introduction ............................................................................................................................. 4
1.1

Current System Info ......................................................................................................... 4

1.2

Recommendation .............................................................................................................. 4

SUGAR CRM CE-5.5.1 to SUGAR CRM CE-6.4.4 .............................................................. 4


2.1

Supported Platforms SUGAR CRM CE-6.4.4 ................................................................. 5

2.2

Recommended Stacks* ..................................................................................................... 6

Up Grade Path ......................................................................................................................... 6

Document History
Document Version

Date Created

1.0

02/06/2012

Created By

Comments
Initial draft version

1 Introduction
1.1 Current System Info
Current version of Sugar CRM is SUGAR CRM-5.5.1 bundled with PHP, MYSQL and Apache
of following version
1) PHP Version 5.2.5
2) MYSQL Server Version 5.0.37
3) Apache Version 2.0.59 (Apache/2.0.59 (Win32) mod_ssl/2.0.59 OpenSSL/0.9.8e PHP/5.2.5)

1.2 Recommendation
As suggested in the mail, it is recommended to upgrade the SUGAR CRM-5.5.1 to either of the
following version
1) SUGAR CRM CE-5.5.1 to SUGAR CRM CE-6.4.4 or
2) SUGAR CRM CE-5.5.1 to SUGAR CRM RC-6.5.0
Since the latest SUGAR CRM 6.5.0 is RC version, this document covers upgrading SUGAR
CRM CE-5.5.1 to SUGAR CRM CE-6.4.4 in rest of the chapter.

2 SUGAR CRM CE-5.5.1 to SUGAR CRM


CE-6.4.4

2.1 Supported Platforms SUGAR CRM CE-6.4.4

System Component

Supported versions

Comments

Platform
Linux/Unix/Mac OS
IBM i
Windows
PHP
Database
MySQL

Any platform version that supports


PHP from http://php.net
Any IBM i version that runs the
DB2 is not supported on
latest Zend Server for IBM i
IBM i
Windows Server 2003 or later
No support for PHP 5.2.0,
5.2, 5.3
5.2.7, 5.2.16, 5.3.5, or
5.3.7
5.1, 5.5

SQL Server

2005, 2008, 2008 R2

Oracle

10g, 11g

DB2

LUW 9.7.4 and higher

Web Server
Apache

2.0, 2.2

Requires using Microsoft


SQL Server Driver for PHP
v2.0.1
Support for Enterprise and
Ultimate Editions only
Support for Enterprise and
Ultimate Editions only

6.0, 7.0, 7.5

Requires using FastCGI


and non-thread-safe
binaries

Microsoft Outlook

2007, 2010

Not supported in a
Terminal Server
environment

Microsoft Word
Microsoft Excel
Lotus Notes
Client (Browser)
Google Chrome
Firefox
Internet Explorer
Safari

2007, 2010
2007, 2010
7.0, 8.0, 8.5

IIS
Applications

14
3.6, 11
8.0, 9.0
5.1

Latest stable version

2.2 Recommended Stacks*

Linux Stack
PHP Version

5.3 (APC extension enabled)

PHP Accelerator
Platform
Server
Preferred Databases
MySQL
SQL Server
Oracle

APC
Red Hat Enterprise Linux 5
Apache 2.2

Windows Stack
5.3 (Wincache extension
installed)
Wincache
Windows Server 2008
IIS 7.5

5.1
n/a
11g

5.1
2008
11g

* Recommended stack is the version of the components on which the Sugar has been tested and
verified and which has proven to be the most stable release available.
For further reference follow the Link

3 Up Grade Path
As per sugar documentation up gradation to SUGAR CRM CE-6.4.1 from current version is not
one step process, means we need to have few intermediate SUGAR version up gradation as
depicted in the table below
From Version

Upgrade To Version

SUGAR CRM CE-5.5.1

SUGAR CRM CE-6.1.0

SUGAR CRM CE-6.1.0

SUGAR CRM CE-6.2.4

SUGAR CRM CE-6.2.x

SUGAR CRM CE-6.3.1/ SUGAR CRM CE6.3.2

SUGAR CRM CE-6.3.x

SUGAR CRM CE-6.4.4

SUGAR CRM CE-6.4.4

SUGAR CRM RC-6.5 Not considered at


present

Оценить